Package org.eclipse.net4j.util.om.log

# Class OSGiLoggingBridge

java.lang.Object
org.eclipse.net4j.util.om.log.OSGiLoggingBridge

All Implemented Interfaces:
  `OMLogHandler`

@Deprecated public class OSGiLoggingBridge extends Object implements OMLogHandler
Deprecated.
As of 4.7 use `OSGiLogHandler`.
A `log handler` that appends log events to the OSGi `log service`.

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final OSGiLoggingBridge`
`INSTANCE`
Deprecated.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`OSGiLoggingBridge()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`protected org.osgi.service.log.LogService`
`getLogService(org.osgi.framework.BundleContext bundleContext)`
Deprecated.
`void`
`logged(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`
Deprecated.
`void`
`logged(org.osgi.framework.BundleContext bundleContext, OMLogger.Level level, String msg, Throwable t)`
Deprecated.
`static int`
`toOSGi(OMLogger.Level level)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

@Deprecated public static final OSGiLoggingBridge INSTANCE
Deprecated.

## Constructor Details

### OSGiLoggingBridge

@Deprecated protected OSGiLoggingBridge()
Deprecated.

## Method Details

### logged

@Deprecated public void logged(OMLogger logger, OMLogger.Level level, String msg, Throwable t)
Deprecated.

Specified by:
  `logged` in interface `OMLogHandler`

### logged

@Deprecated public void logged(org.osgi.framework.BundleContext bundleContext, OMLogger.Level level, String msg, Throwable t)
Deprecated.

### getLogService

@Deprecated protected org.osgi.service.log.LogService getLogService(org.osgi.framework.BundleContext bundleContext)
Deprecated.

### toOSGi

@Deprecated public static int toOSGi(OMLogger.Level level)
Deprecated.